<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.ekp.mapper.EkpBankGrantLogMapper">

  <resultMap id="ekpBankGrantLogMap" type="com.yifu.cloud.plus.v1.ekp.entity.EkpBankGrantLog">
    <id property="fdId" column="fd_id"/>
    <result property="fdBatchNumber" column="fd_batch_number"/>
    <result property="fdBatchPackage" column="fd_batch_package"/>
    <result property="fdPaymentAccount" column="fd_payment_account"/>
    <result property="fdDrawee" column="fd_drawee"/>
    <result property="fdCurrency" column="fd_currency"/>
    <result property="fdBusinessType" column="fd_business_type"/>
    <result property="fdSubmitTime" column="fd_submit_time"/>
    <result property="fdTransactionTime" column="fd_transaction_time"/>
    <result property="fdSuccessFee" column="fd_success_fee"/>
    <result property="fdFailFee" column="fd_fail_fee"/>
    <result property="fdSumFee" column="fd_sum_fee"/>
    <result property="fdTransactionTotal" column="fd_transaction_total"/>
    <result property="fdTransactionSuccessTotal" column="fd_transaction_success_total"/>
    <result property="fdTransactionFailTotal" column="fd_transaction_fail_total"/>
  </resultMap>
    <sql id="Base_Column_List">
		a.fd_id,
		a.fd_batch_number,
		a.fd_batch_package,
		a.fd_payment_account,
		a.fd_drawee,
		a.fd_currency,
		a.fd_business_type,
		a.fd_submit_time,
		a.fd_transaction_time,
		a.fd_success_fee,
		a.fd_fail_fee,
		a.fd_sum_fee,
		a.fd_transaction_total,
		a.fd_transaction_success_total,
		a.fd_transaction_fail_total
    </sql>

</mapper>
